<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <title>Maven Java Plug-in Goals</title>
    <author email="dion@multitask.com.au">dIon Gillard</author>
    <author email="kschrader@karmalab.org">Kurt Schrader</author>
  </properties>

  <body>
    <section name="Goals">
      <table>
        <tr><th>Goal</th><th>Description</th></tr>
        <tr>
          <td>java:prepare-filesystem</td>
          <td>
            Creates the directories necessary for compilation
          </td>
        </tr>
        <tr>
          <td>java:compile</td>
          <td>
            <p>
              Compiles the Java source code for the project
            </p>
            <p>
              The source code directory is specified in the 
              <a href="http://maven.apache.org/reference/project-descriptor.html#build">build</a>
              element of your <code>project.xml</code>
              file.
            </p>
          </td>
        </tr>
        <tr>
          <td>java:jar-resources</td>
          <td>
            <p>
              Copies any resources that must be present in the deployed JAR
              file, from the <code>&lt;build&gt;&lt;resources&gt;</code>
              elements in your project.xml
            </p>
          </td>
        </tr>
        <tr>
          <td>java:jar</td>
          <td>
            Deprecated. You must use jar:jar goal.
          </td>
        </tr>
      </table>
    </section>
 </body>
</document>
